<?php

use IGD\Helpers;

defined( 'ABSPATH' ) || exit();

$title       = esc_html__( 'Access Denied', 'integrate-google-drive' );
$description = esc_html__(
        "We're sorry, but your account does not currently have access to this content. To gain access, please contact the site administrator who can assist in linking your account to the appropriate content. Thank you.",
        'integrate-google-drive'
);

$default_message = sprintf(
        '<h3>%s</h3><p>%s</p>',
        $title,
        $description
);

$access_denied_message = Helpers::get_settings( 'accessDeniedMessage', $default_message );
?>

<div class="igd-access-denied-placeholder">
    <?php echo wp_kses_post( $access_denied_message ); ?>
</div>
